//---------------------------------------------------------------------------

#ifndef SegmentH
#define SegmentH
#include <iostream.h>

#include "Point2D.h"

//---------------------------------------------------------------------------
class Segment: public Figure
{
        private:
         Point2D pinicial;
         Point2D pfinal;
         public:
         Segment();
         Segment(const Point2D& ini,const Point2D& fin);
         Segment(const Segment& other);
         virtual ~Segment();

         virtual Point2D Vertex(int x) const;
         virtual Point2D Center() const;

         virtual Point2D Pinicial() const;
         virtual Point2D Pfinal() const;
         virtual void Setpinicial(const Point2D ini);
         virtual void Setpfinal(const Point2D ini);

         virtual void Scale(double fx, double fy);
         virtual void Translate(double fx, double fy);
         virtual void Rotate(double angle);
         virtual Point2D TopLeftLimit();
         virtual Point2D BottomRightLimit();
         virtual bool Contains (const Point2D& p);
         
         virtual Point2D MidlePoint();
         virtual double Lenght();

         virtual void Write(ostream& output = cout) const;
         virtual void WriteLine(ostream& output = cout) const;
         virtual void Read(istream& input = cin);








};
#endif
