//---------------------------------------------------------------------------

#ifndef untDrawH
#define untDrawH

#include "Visual.h"
#include "Figure.h"
#include "Point2D.h"
#include "VisualLine.h"

//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <ExtDlgs.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <Tabnotbk.hpp>
#include <Buttons.hpp>
#include <ToolWin.hpp>
#include <Grids.hpp>
#include <OleCtnrs.hpp>
#include <clipbrd.hpp>
//---------------------------------------------------------------------------
class TfrmDraw : public TForm
{
__published:	// IDE-managed Components
        TImage *imgTransparent;
        TMainMenu *MainMenu1;
        TOpenPictureDialog *OpenPictureDialog1;
        TSavePictureDialog *SavePictureDialog1;
        TColorDialog *ColorDialog;
        TMenuItem *File;
        TMenuItem *Open;
        TMenuItem *Save;
        TMenuItem *Close1;
        TEdit *Trans;
        TEdit *Angle;
        TButton *BtnPrint;
        TStatusBar *StatusBar;
        TLabel *Label1;
        TLabel *Label2;
        TToolBar *ToolBar3;
        TBitBtn *BitBtnUp;
        TBitBtn *BitBtnRigth;
        TBitBtn *BitBtnDown;
        TBitBtn *BitBtnLeft;
        TBitBtn *BitBtnZin;
        TEdit *Zoom;
        TBitBtn *BitBtnZout;
        TBitBtn *BitBtnRotate;
        TEdit *Count;
        TMenuItem *tools1;
        TMenuItem *color1;
        TMenuItem *copy1;
        TMenuItem *paste1;
        TMenuItem *About;
        TToolButton *ToolBtnLine;
        TToolButton *ToolBtnTri;
        TToolButton *ToolBtnRpoly;
        TToolBar *ToolBar2;
        TToolBar *ToolBar4;
        TToolButton *ToolBtnRect;
        TToolButton *ToolBtnPoint;
        TToolButton *ToolBtnCircle;
        TToolButton *ToolButton5;
        TToolButton *ToolButton10;
        TToolButton *ToolBtnNpoly;
        TImageList *ImageList1;
        TStaticText *StaticText1;
        TToolBar *ToolBar1;
        TToolButton *ToolBtnMirror;
        TToolButton *ToolBtnTrans;
        TToolBar *ToolBar5;
        TToolButton *ToolBtnOpen;
        TToolButton *ToolBtnSave;
        TToolButton *ToolButton3;
        TToolButton *ToolBtnCut;
        TToolButton *ToolBtnCopy;
        TToolButton *ToolBtnPaste;
        TToolButton *ToolButton8;
        TToolButton *Bcolor;
        TToolButton *ToolBtnFree;
        TToolButton *ToolBtnRotate;
        TPopupMenu *PopupMenu2;
        TMenuItem *Clear1;
        TMenuItem *Solid1;
        TMenuItem *DiagCross1;
        TMenuItem *BDiagonal1;
        TMenuItem *Horizontal1;
        TMenuItem *Vertical1;
        TMenuItem *Cross1;
        TMenuItem *FDiagonal1;
        TToolButton *Pcolor;
        TToolButton *ToolButton1;
        TStaticText *StaticText2;
        TStaticText *StaticText3;
        TToolButton *ToolButton7;
        TPopupMenu *PopupMenu3;
        TMenuItem *Solid2;
        TMenuItem *Dash1;
        TMenuItem *Dot1;
        TMenuItem *DashDot1;
        TMenuItem *DashDotDot1;
        TMenuItem *Clear2;
        TMenuItem *InsideFrame1;
        TEdit *Pwidth;
        TUpDown *UpDown;
        TToolButton *ToolButton2;
        TToolButton *ToolBtnClose;
        TMenuItem *Options1;
        TMenuItem *AutoPrint1;
        TMenuItem *Clipboard1;
        TMenuItem *PasteFrom1;
        TMenuItem *ClearImage1;
        TMenuItem *CopyAreatoClipboard1;
        void __fastcall OpenClick(TObject *Sender);
        void __fastcall SaveClick(TObject *Sender);
        void __fastcall imgTransparentMouseMove(TObject *Sender,
          TShiftState Shift, int X, int Y);
        void __fastcall imgTransparentMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall BtnPrintClick(TObject *Sender);
        void __fastcall BitBtnZinClick(TObject *Sender);
        void __fastcall BitBtnZoutClick(TObject *Sender);
        void __fastcall BitBtnUpClick(TObject *Sender);
        void __fastcall BitBtnRotateClick(TObject *Sender);
        void __fastcall imgTransparentMouseUp(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall ToolBtnPointClick(TObject *Sender);
        void __fastcall ToolBtnLineClick(TObject *Sender);
        void __fastcall Clear1Click(TObject *Sender);
        void __fastcall Solid1Click(TObject *Sender);
        void __fastcall DiagCross1Click(TObject *Sender);
        void __fastcall BDiagonal1Click(TObject *Sender);
        void __fastcall Horizontal1Click(TObject *Sender);
        void __fastcall Vertical1Click(TObject *Sender);
        void __fastcall Cross1Click(TObject *Sender);
        void __fastcall FDiagonal1Click(TObject *Sender);
        void __fastcall Solid2Click(TObject *Sender);
        void __fastcall Dash1Click(TObject *Sender);
        void __fastcall Dot1Click(TObject *Sender);
        void __fastcall DashDot1Click(TObject *Sender);
        void __fastcall DashDotDot1Click(TObject *Sender);
        void __fastcall Clear2Click(TObject *Sender);
        void __fastcall InsideFrame1Click(TObject *Sender);
        void __fastcall PcolorClick(TObject *Sender);
        void __fastcall BcolorClick(TObject *Sender);
        void __fastcall BitBtnLeftClick(TObject *Sender);
        void __fastcall BitBtnDownClick(TObject *Sender);
        void __fastcall BitBtnRigthClick(TObject *Sender);
        void __fastcall UpDownClick(TObject *Sender, TUDBtnType Button);
        void __fastcall ToolBtnCutClick(TObject *Sender);
        void __fastcall ToolBtnCopyClick(TObject *Sender);
        void __fastcall ToolBtnPasteClick(TObject *Sender);
        void __fastcall AboutClick(TObject *Sender);
        void __fastcall Clipboard1Click(TObject *Sender);
        void __fastcall PasteFrom1Click(TObject *Sender);
        void __fastcall ClearImage1Click(TObject *Sender);
        void __fastcall AutoPrint1Click(TObject *Sender);
        void __fastcall CopyAreatoClipboard1Click(TObject *Sender);
        void __fastcall Close1Click(TObject *Sender);
        void __fastcall FormMouseWheelUp(TObject *Sender,
          TShiftState Shift, TPoint &MousePos, bool &Handled);
        void __fastcall FormMouseWheelDown(TObject *Sender,
          TShiftState Shift, TPoint &MousePos, bool &Handled);
private:	// User declarations
        Point2D *points;
        Point2D auxcenter;
        int vertex;
        VisualLine *lines;
        bool aux;
        int X0;
        int Y0;

public:		// User declarations
        Figure *fig;
        Figure *f;
        int penWidth;
        TColor penColor;
        TColor brushColor;
        TPenStyle penStyle;
        TBrushStyle brushStyle;
        __fastcall TfrmDraw(TComponent* Owner);

};
//---------------------------------------------------------------------------
extern PACKAGE TfrmDraw *frmDraw;
//---------------------------------------------------------------------------
#endif
